Grant folder permissions
curl --request POST \
--url https://{instance}.omniapp.co/api/v1/folders/{folderId}/permissions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accessBoost": false,
"userIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"userGroupIds": [
"<string>"
]
}
'import requests
url = "https://{instance}.omniapp.co/api/v1/folders/{folderId}/permissions"
payload = {
"accessBoost": False,
"userIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"userGroupIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accessBoost: false,
userIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
userGroupIds: ['<string>']
})
};
fetch('https://{instance}.omniapp.co/api/v1/folders/{folderId}/permissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"error": "<response_code>",
"message": "<error_reason>"
}{
"error": "<response_code>",
"message": "<error_reason>"
}{
"error": "<response_code>",
"message": "<error_reason>"
}{
"error": "<response_code>",
"message": "<error_reason>"
}Folder permissions
Grant folder permissions
Grant folder permissions to users or groups
POST
/
v1
/
folders
/
{folderId}
/
permissions
Grant folder permissions
Authorizations
Can be either an Organization API Key or Personal Access Token (PAT).
Include in the Authorization header as: Bearer YOUR_TOKEN
Path Parameters
The UUID of the folder. Use the List folders endpoint to retrieve folder IDs.
Body
application/json
The content role to assign to the specified users or user groups.
Available options:
NO_ACCESS, VIEWER, EDITOR, MANAGER If true, AccessBoost is enabled for the folder.
The list of user IDs to grant permissions to. Use the List users or List embed users endpoints to retrieve user IDs.
Either userIds or userGroupIds is required.
The list of user group IDs to grant permissions to. Use the List user groups endpoint to retrieve user group IDs.
Either userIds or userGroupIds is required.
Response
Permissions granted successfully
Example:
true
Was this page helpful?
⌘I

